commit 496f71294609e3e75b1b7f6fb4dc8f0cc4677bd8
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Wed Apr 28 15:49:28 2021

    libstdc++: Reduce output of 'make doc-pdf-doxygen'
    
    Use '@' to prevent Make from echoing the recipe, so that users don't see
    this every time:
    
      if [ -f ${doxygen_pdf} ]; then
        mv ${doxygen_pdf} ${api_pdf} ;
        echo ":: PDF file is ${api_pdf}";
      else
        echo "... error";
        grep -F 'LaTeX Error' ${doxygen_outdir}/latex/refman.log;
        grep -F 'TeX capacity exceeded, sorry' ${doxygen_outdir}/latex/refman.log;
        exit 12;
      fi
    
    The presence of the "error" strings in the output makes it look like an
    error happened. By suppressing the echoing user's will only see "error"
    if the 'else' branch is taken.
    
    libstdc++-v3/ChangeLog:
    
            * doc/Makefile.am (stamp-pdf-doxygen): Improve comment about
            dealing with errors. Use '@' to prevent shell command being
            echoed.
            * doc/Makefile.in: Regenerate.
    
    (cherry picked from commit 43a35b26e2fd2fab9c0c3ebac67e3a6c439daef4)

diff --git a/libstdc++-v3/doc/Makefile.am b/libstdc++-v3/doc/Makefile.am
index cb9b68ffaea..2f8bb0770f3 100644
--- a/libstdc++-v3/doc/Makefile.am
+++ b/libstdc++-v3/doc/Makefile.am
@@ -256,12 +256,13 @@ stamp-latex-doxygen: ${doxygen_outdir}/latex
 # look at refman.log and see if TeX's memory is exhausted. Symptoms
 # include asking a wizard to enlarge capacity. If this is the case,
 # find texmf.cnf and add a zero for pool_size, string_vacancies,
-# max_strings, and pool_free values.
+# max_strings, and pool_free values. A much simpler workaround is to install
+# lualatex and set LATEX_CMD_NAME = lualatex in the doxygen user.cfg file.
 # Errors like "File `foo.sty' not found" mean a TeX package is missing.
 stamp-pdf-doxygen: stamp-latex-doxygen ${doxygen_outdir}/pdf
 	-(cd ${doxygen_outdir}/latex && $(MAKE) -i pdf;)
-	echo "Generating doxygen pdf file...";
-	if [ -f ${doxygen_pdf} ]; then \
+	@echo "Generating doxygen pdf file...";
+	@if [ -f ${doxygen_pdf} ]; then \
 	  mv ${doxygen_pdf} ${api_pdf} ; \
 	  echo ":: PDF file is ${api_pdf}"; \
 	else \
